

package gov.va.med.cds.audit;


import java.io.Serializable;


public class ClientMapping
    implements
        Serializable
{
    private static final long serialVersionUID = -795550175631179754L;

    protected Long clientMappingId;
    protected FilterIdWrapper filterId = new FilterIdWrapper();
    protected TemplateIdWrapper templateId = new TemplateIdWrapper();
    protected String name;
    protected String shortName;
    protected String domainEntryPoints;
    protected String domains;


    public ClientMapping( )
    {
        super();
    }


    public ClientMapping( String aFilterId, String aTemplateId )
    {
        super();
        setFilterId( aFilterId );
        setTemplateId( aTemplateId );
    }


    public Long getClientMappingId( )
    {
        return clientMappingId;
    }


    @SuppressWarnings( "unused" )
    private void setClientMappingId( Long aClientMappingId )
    {
        this.clientMappingId = aClientMappingId;
    }


    public String getFilterId( )
    {
        return filterId.getFilterId();
    }

    
    public FilterIdWrapper getFilterIdWrapper( )
    {
        return filterId;
    }


    public void setFilterId( String aFilterId )
    {
        filterId.setFilterId( aFilterId );
    }


    public void setFilterIdWrapper( FilterIdWrapper aFilterIdWrapper )
    {
        filterId = aFilterIdWrapper;
    }

    
    public String getTemplateId( )
    {
        return templateId.getTemplateId();
    }


    public TemplateIdWrapper getTemplateIdWrapper( )
    {
        return templateId;
    }

    
    public void setTemplateId( String aTemplateId )
    {
        templateId.setTemplateId( aTemplateId );
    }


    public void setTemplateIdWrapper( TemplateIdWrapper aTemplateIdWrapper )
    {
        templateId = aTemplateIdWrapper;
    }

    
    public String getName( )
    {
        return name;
    }


    public void setName( String aName )
    {
        this.name = aName;
    }


    public String getShortName( )
    {
        return shortName;
    }


    public void setShortName( String aShortName )
    {
        this.shortName = aShortName;
    }


    public String getDomainEntryPoints( )
    {
        return domainEntryPoints;
    }


    public void setDomainEntryPoints( String aDomainEntryPoints )
    {
        this.domainEntryPoints = aDomainEntryPoints;
    }


    public String getDomains( )
    {
        return domains;
    }


    public void setDomains( String aDomains )
    {
        this.domains = aDomains;
    }

}
